#### Description:

This function finds the distance between two points whose Frame coordinates are given. The distance calculated is that along the geodesic curve that joins the two points.

For example, in a basic Frame, the distance calculated will be the Cartesian distance along the straight line joining the two points. For a more specialised Frame describing a sky coordinate system, however, it would be the distance along the great circle passing through two sky positions.

#### Synopsis

double astDistance( AstFrame ∗this, const double point1[], const double point2[] )

#### Parameters:

##### this

Pointer to the Frame.

##### point1

An array of double, with one element for each Frame axis (Naxes attribute) containing the coordinates of the first point.

##### point2

An array of double, with one element for each Frame axis containing the coordinates of the second point.

#### Returned Value

##### astDistance

The distance between the two points.

#### Notes:

- This function will return a `"` bad`"` result value (AST__BAD) if any of the input coordinates has this value.

- A `"` bad`"` value will also be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

Copyright (C) 2021 East Asian Observatory